<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="ResourceUsageType">
    <xs:sequence>
      <xs:element name="SchoolInfoRefId" minOccurs="0" type="IdRefType" />
      <xs:element name="ResourceUsageContentType" minOccurs="0">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Code" minOccurs="0" type="AUCodeSetsResourceUsageContentTypeType" />
            <xs:element name="LocalDescription" minOccurs="0" nillable="true" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="ResourceReportColumnList" minOccurs="0">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="ResourceReportColumn" minOccurs="0" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element name="ColumnName" minOccurs="0" type="xs:normalizedString" />
                  <xs:element name="ColumnDescription" minOccurs="0" nillable="true" type="xs:normalizedString" />
                  <xs:element name="ColumnDelimiter" minOccurs="0" nillable="true" type="xs:normalizedString" />
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="ResourceReportLineList" minOccurs="0">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="ResourceReportLine" minOccurs="0" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element name="SIF_RefId" minOccurs="0" nillable="true">
                    <xs:complexType>
                      <xs:simpleContent>
                        <xs:extension base="IdRefTypeOrEmpty">
                          <xs:attribute name="SIF_RefObject" use="required">
                            <xs:simpleType>
                              <xs:restriction base="xs:token">
                                <xs:enumeration value="StudentPersonal" />
                                <xs:enumeration value="StaffPersonal" />
                                <xs:enumeration value="TeachingGroup" />
                              </xs:restriction>
                            </xs:simpleType>
                          </xs:attribute>
                        </xs:extension>
                      </xs:simpleContent>
                    </xs:complexType>
                  </xs:element>
                  <xs:element name="StartDate" minOccurs="0" type="xs:date" />
                  <xs:element name="EndDate" minOccurs="0" nillable="true" type="xs:date" />
                  <xs:element name="CurrentCost" minOccurs="0" type="MonetaryAmountType" />
                  <xs:element name="ReportRow" minOccurs="0" type="xs:normalizedString" />
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="ResourceUsage" type="ResourceUsageType">
    <xs:unique name="ResourceUsageKey1">
      <xs:selector xpath="./ResourceUsage" />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

  <xs:complexType name="ResourceUsageCollectionType">
    <xs:sequence>
      <xs:element name="ResourceUsage" type="ResourceUsageType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ResourceUsages" type="ResourceUsageCollectionType" />

</xs:schema>